ElGamal Struct Reference

ElGamal encryption scheme with non-standard padding. More...

## Public Types

typedef DL_CryptoSchemeOptions< ElGamal, ElGamalKeys, int, int, int > | SchemeOptions
typedef SchemeOptions::PrivateKey | PrivateKey
typedef SchemeOptions::PublicKey | PublicKey
typedef SchemeOptions::GroupParameters | GroupParameters
| Implements DL_GroupParameters interface.
typedef PK_FinalTemplate< ElGamalObjectImpl< DL_EncryptorBase< Integer >, SchemeOptions, SchemeOptions::PublicKey > > | Encryptor
| Implements PK_Encryptor interface.
typedef PK_FinalTemplate< ElGamalObjectImpl< DL_DecryptorBase< Integer >, SchemeOptions, SchemeOptions::PrivateKey > > | Decryptor
| Implements PK_Encryptor interface.

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

ElGamal encryption scheme with non-standard padding.

ElGamal provide the algorithm implementation ElGamal key agreement and encryption schemes.

The ElGamal class [mistakenly] used the OID for DSA from about Crypto++ 1.0 through Crypto++ 8.2. At Crypto++ 8.3 the OID was fixed and now uses ElGamal encryption, which is 1.3.14.7.2.1.1. If you need to `Load` an ElGamal key with the wrong OID then see ElGamal on the Crypto++ wiki.

See also
  Issue 876, Issue 567

Since
  Crypto++ 1.0

Definition at line 283 of file elgamal.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char* ElGamal::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 293 of file elgamal.h.

The documentation for this struct was generated from the following file:

- elgamal.h